function [G,g,constNormalize] = lcmm_setnonlin(D,model)

switch lower(model)
  case 'cauchy'
    constNormalize = (D+0.5).*log(pi) - gammaln(D+0.5) - D*log(2);
    c1 = D+0.5;
    c2 = 2.*D+1;
    G = @(x) c1 .* log1p(2.*x);%log(1+2x);
    g = @(x) c2./(1+2.*x);
  case 'student2'
    constNormalize = D.*log(pi) - gammaln(D+1);
    c1 = D+1;
    G = @(x) c1 .* log1p(x);%log(1+x);
    g = @(x) c1./(1+x);
  otherwise
    error('Unknown model type: %s', model);
end
